# $Revision: 1.18 $, $Date: 2009/09/18 09:17:31 $
#
# Conditional build:
%bcond_without	tests # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	POE
%define		pnam	Component-Client-DNS
Summary:	POE component for non-blocking/concurrent DNS queries
Summary(pl.UTF-8):	Komponent POE do wykonywania nieblokujących/równoczesnych zapytań DNS
Name:		perl-POE-Component-Client-DNS
Version:	1.050
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/POE/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c07de9f13818a9d8bf467831282df55c
URL:		http://search.cpan.org/dist/POE-Component-Client-DNS/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Net-DNS >= 0.53
BuildRequires:	perl-POE >= 1:0.3100
%endif
Requires:	perl-POE >= 1:0.3100
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
POE::Component::Client::DNS is a wrapper for non-blocking Net::DNS.
It lets other tasks to run while something is waiting for a nameserver
to respond, and it lets several DNS queries run in parallel.

%description -l pl.UTF-8
POE::Component::Client::DNS to interfejs do nieblokującej klasy
Net::DNS. Pozwala na wykonywanie innych zadań podczas gdy coś czeka na
odpowiedź serwera nazw, a także pozwala na równoległe wykonywanie
kilku zapytań DNS.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorlib}/POE/Component/Client/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-POE-Component-Client-DNS.spec,v $
Revision 1.18  2009/09/18 09:17:31  amateja
- updated to 1.050

Revision 1.17  2008/11/27 19:10:15  agaran
- up to 1.01, builds here

Revision 1.16  2007/05/27 13:48:51  qboosh
- generic URL

Revision 1.15  2007/05/27 10:13:25  agaran
- up to 1.00, rel 1, builds here

Revision 1.14  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.12  2006/10/27 22:20:38  ankry
- ver. 0.99, epoch 1

Revision 1.11  2005/12/05 23:08:11  czucz
- updated to 0.9802

Revision 1.10  2004/12/01 18:03:40  radek
- autoupdated to 0.98

Revision 1.9  2004/11/03 22:30:39  paladine
- formatting

Revision 1.8  2004/05/06 18:20:50  ankry
- fixed perl-devel BR

Revision 1.7  2004/04/23 16:37:59  agaran
- new bconds

Revision 1.6  2004/03/06 20:14:15  adamg
- updated to 0.97

Revision 1.5  2003/09/09 10:24:45  ankry
- spaces -> tab

Revision 1.4  2003/08/27 22:15:21  qboosh
- pl

Revision 1.3  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.2  2003/08/19 16:21:20  radek
- added forgotten Source0-md5

Revision 1.1  2003/08/19 16:19:23  radek
- new
